MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
Java::TrivialClass Class Reference

Wrapper for a global "jclass" reference. More...

`#include <Class.hxx>`

Inheritance diagram for Java::TrivialClass:
[legend]
Collaboration diagram for Java::TrivialClass:
[legend]

## Public Member Functions
void | Find (JNIEnv *env, const char *name)
bool | FindOptional (JNIEnv *env, const char *name)
Public Member Functions inherited from Java::TrivialRef< jclass >
constexpr | TrivialRef ()
| TrivialRef (const TrivialRef &other)=delete
TrivialRef & | operator= (const TrivialRef &other)=delete
bool | IsDefined () const
void | Set (JNIEnv *env, jclass_value)
| Obtain a global reference on the specified object and store it. More...
void | Clear (JNIEnv *env)
| Release the global reference and clear this object. More...
void | ClearOptional (JNIEnv *env)
| Release the global reference and clear this object. More...
jclass | Get () const
| operator jclass () const

## Detailed Description

Wrapper for a global "jclass" reference.

Definition at line 53 of file Class.hxx.

## Member Function Documentation

void Java::TrivialClass::Find | ( | JNIEnv * | env,
|  | const char * | name
| ) |  |
| inline

Definition at line 55 of file Class.hxx.

bool Java::TrivialClass::FindOptional | ( | JNIEnv * | env,
|  | const char * | name
| ) |  |
| inline

Definition at line 66 of file Class.hxx.

The documentation for this class was generated from the following file:

- java/Class.hxx